package cn.com.taiji.beidou.ship.status.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author CHEN
 * @Date 2022/11/17 18:39
 */
@Data
public class OfflineShipStatistics {

    private String shipTotal;
    @ApiModelProperty("0-7 天")
    private String smallDay;
    @ApiModelProperty("8-30 天")
    private String middleDay;
    @ApiModelProperty("30 天以上")
    private String largeDay;

    @ApiModelProperty("0-7 天 百分率")
    private Double smallDayRate;
    @ApiModelProperty("8-30 天 百分率")
    private Double middleDayRate;
    @ApiModelProperty("30 天以上 百分率")
    private Double largeDayRate;
}
