package cn.com.taiji.track.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @author wudskq
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@TableName("ax_beidou_track")
public class BeidouTrackEntity extends BaseEntity {

    private Long trackId;
    private String deviceId;
    private Long shipType;
    private Long workType;
    private Integer workWay;
    private String sendTime;
    private String locationTime;
    private Integer online;
    private Integer shipLength;
    private Integer shipWidth;
    private Integer texture;
    private Double longitude;
    private Double latitude;
    private Double direction;
    private Double speed;
    private Integer kwh;
    private String shipName;
}
