package cn.com.taiji.track.service;

import cn.com.taiji.track.entity.BeidouTrackEntity;
import com.baomidou.mybatisplus.extension.service.IService;
import org.apache.kafka.clients.consumer.ConsumerRecord;

import java.util.List;

/**
 * @Description:
 * @Author: hujie@umisoft.cn
 * @Date: 2021/11/30 9:58 下午
 */
public interface IBeidouTrackService extends IService<BeidouTrackEntity> {

    void beidouDynamicShipToRedis(List<ConsumerRecord<?, ?>> records);

    void beidouDynamicShipToCache(List<ConsumerRecord<?, ?>> records);
    void cacheBeidouToMySql();

    void beidouDynamicShipToKafka(List<ConsumerRecord<?,?>> records);
}
